Canonical soluciona varias vulnerabilidades en OpenSSH

Escrito por Rubén Velasco

OpenSSH es un conjunto de aplicaciones con las que podemos realizar conexiones seguras y cifradas a través de la red aprovechando la seguridad que nos ofrece el protocolo SSH. Con el fin de garantizarnos la máxima seguridad posible en las conexiones debemos utilizar siempre las versiones más recientes de estas herramientas, evitando así que piratas informáticos puedan interferir en las comunicaciones seguras y aprovechar cualquier vulnerabilidad conocida para hacerse con el control de las mismas.

Hace algunas horas, Canonical, la empresa responsable del desarrollo y mantenimiento del sistema operativo Ubuntu, ha publicado una actualización del software OpenSSH para todas las versiones de su sistema operativo que aún tienen soporte (es decir, Ubuntu 12.04, 14.04 y 15.10) con las que soluciona un total de 4 fallos de seguridad en la implementación de las conexiones remotas seguras del sistema operativo a través de OpenSSH.

La primera de las vulnerabilidades corregidas en esta actualización corresponde con CVE-2015-8325, un fallo de seguridad relacionado con la característica UseLogin que puede llegar a permitir a un usuario no autorizado conseguir permisos de root en el sistema.

La segunda de las vulnerabilidades afecta tan solo a los usuarios de Ubuntu 15.10 y ha sido registrada bajo el nombre CVE-2016-1907. Esta vulnerabilidad está relacionada con la forma en la que OpenSSH gestiona el tráfico, pudiendo permitir a un atacante realizar ataques de denegación de servicio contra el servidor.

La tercera de las vulnerabilidades, registrada como CVE-2016-1908, está relacionada con la forma como gestiona OpenSSH el reenvío de los datos que no son de confianza, pudiendo permitir a un atacante hacer pasar una conexión no fiable por una de confianza. La cuarta vulnerabilidad, registrada como CVE-2.016-3.115, también está relacionada con la forma en la que la herramienta gestiona las conexiones que no son de confianza, de forma muy similar a la anterior.

Cómo instalar en nuestro sistema la última versión de OpenSSH

Es muy importante mantener un sistema operativo actualizado con las últimas versiones de todos los programas y los últimos parches de seguridad, especialmente de las aplicaciones consideradas como críticas, como es el caso de OpenSSH, para evitar que piratas informáticos puedan aprovecharse de estos fallos para comprometer sistemas de forma remota.

Las nuevas versiones publicadas por Canonical para los 3 sistemas operativos son:

  • Para Ubuntu 12.04 LTS -> 5.9p1-5ubuntu1.9
  • Para Ubuntu 14.04 LTS -> 6.6p1-2ubuntu2.7
  • Para Ubuntu 15.10 -> 6.9p1-2ubuntu0.2

Estas versiones ya se encuentran en los repositorios oficiales, por lo que podemos actualizar nuestro sistema desde el terminal tecleando:

sudo apt update

sudo apt dist-upgrade

Aunque no es obligatorio, una vez instalados los últimos parches es recomendable reiniciar el ordenador para que, en el caso de existir alguna conexión segura con las versiones antiguas, esta se vuelva a establecer ya con la nueva versión libre de fallos de seguridad, al menos conocidos.

¿Has actualizado ya OpenSSH en tu sistema operativo?

Quizá te interese:

Últimos análisis

Valoración RZ
8
Valoración RZ
10
Valoración RZ
8
Valoración RZ
9
Valoración RZ
9
Valoración RZ
10
Valoración RZ
9
Valoración RZ
10